Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Interface BlobDomainInterface

All Known Implementing Classes:
  BFileDomain, ClobDomain, BlobDomain

public interface BlobDomainInterface
extends DomainInterface

Provides methods to save data to, and extract data from, LOB domain classes. These methods are implemented by all LOB-based domain classes: `BlobDomain`, `BFileDomain`, and `ClobDomain`.

Domain classes encapsulate Oracle SQL datatypes. Domain objects can be converted to the standard JDBC data types.

Since:
  JDevloper 3.0
See Also:
  `TypeFactory`, "JboDomainValidator"

Method Summary
`void` | `loadFromDatabase(Transaction transaction)` Internal: Applications should not use this method.
`void` | `prepareForDML(java.lang.Object context)` Internal: Applications should not use this method.
`void` | `saveToDatabase(Transaction transaction)` Internal: Applications should not use this method.
`void` | `saveToDatabase(Transaction transaction, java.lang.Object emptySQLObject)` Internal: Applications should not use this method.

Methods inherited from interface oracle.jbo.domain.DomainInterface
`getData, setContext`

Method Detail

### loadFromDatabase

    public void loadFromDatabase(Transaction transaction)
                          throws java.lang.Exception

  Internal: Applications should not use this method.

  Loads the actual data of the LOB-type database attribute into memory.

  The transaction argument is needed to perform an additional query into the database to extract the data.

  This method does not need to be invoked for a new attribute.

  Parameters:
    `transaction` - the `DBTransactionImpl` of the current Application Module.

### saveToDatabase

    public void saveToDatabase(Transaction transaction)
                        throws java.lang.Exception

  Internal: Applications should not use this method.

  Saves data in memory to a database LOB-type attribute.

  The transaction argument is is needed to perform an additional query into the database to write the data.

  This method does not need to be invoked if this attribute's data has not changed.

  Parameters:
    `transaction` - the `DBTransactionImpl` instance of the current Application Module.

### saveToDatabase

    public void saveToDatabase(Transaction transaction,
                               java.lang.Object emptySQLObject)
                        throws java.lang.Exception

  Internal: Applications should not use this method.

  Uses the given transaction context to store data back into the database using the LOB-locator which should be set before this method is invoked.

### prepareForDML

    public void prepareForDML(java.lang.Object context)

  Internal: Applications should not use this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD